var sal = new Activity("sal")
sal.screen = 0
sal.wallpaperPlugin = 'image'
sal.wallpaperMode = 'SingleImage'
sal.name = templateName
sal.writeConfig("PackageManager", "kpackagekit")
/* This doesn't seem to work when loading from live CD and needs to be set to ubiquity or oem-config
 * so just patch kdebase-workspace for now
sal.currentConfigGroup = new Array('stripwidget', 'favourite-0')
sal.writeConfig("url", "/usr/share/applications/kde4/konqbrowser.desktop")
sal.currentConfigGroup = new Array('stripwidget', 'favourite-1')
sal.writeConfig("url", "/usr/share/applications/kde4/KMail2.desktop")
sal.currentConfigGroup = new Array('stripwidget', 'favourite-2')
sal.writeConfig("url", "/usr/share/applications/kde4/systemsettings.desktop")
sal.currentConfigGroup = new Array('stripwidget', 'favourite-3')
sal.writeConfig("url", "/usr/share/applications/kde4/dolphin.desktop")
*/
sal.reloadConfig()
